Subject: bug#8429: 24.0.50; regression: `flush-lines' does not flush all it should

From: Stefan Monnier <[email-masked]>
Date: Tue, 05 Apr 2011 21:28:57 -0400

> If I had to guess in ignorance I'd say that it has to do with Emacs 24
> highlighting only a screen at a time, instead of the whole buffer.
> For the part of the buffer that gets highlighted (so the escape chars
> are not apparent) there is no problem.

Sounds like the likely culprit.  And the fix is still the same: move the
grep-highlighting-processing from font-lock to the process filter.

        Stefan